Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.uniqueid
Class TurbineUniqueId

    java.lang.Object
      org.apache.turbine.services.uniqueid.TurbineUniqueId

    public abstract class TurbineUniqueId

extends Object

This is a facade class for `UniqueIdService`.

Version:
  $Id: TurbineUniqueId.java 615328 2008-01-25 20:25:05Z tv $
Author:
  Rafal Krzewski

Constructor Summary
`TurbineUniqueId()`

Method Summary
`static String` | `getInstanceId()` Returs an identifer of this Turbine instance that is unique both on the server and worldwide.
`static String` | `getPseudorandomId()` Returns a unique identifier that looks like random data.
`protected static UniqueIdService` | `getService()` Utility method for accessing the service implementation
`static String` | `getUniqueId()` Returns an identifier that is unique within this turbine instance, but does not have random-like apearance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TurbineUniqueId

    public TurbineUniqueId()

Method Detail

### getService

    protected static UniqueIdService getService()

  Utility method for accessing the service implementation

  Returns:
    a UniqueIdService implementation instance

### getInstanceId

    public static String getInstanceId()

  Returs an identifer of this Turbine instance that is unique both on the server and worldwide.

  Returns:
    A String with the instance identifier.

### getUniqueId

    public static String getUniqueId()

  Returns an identifier that is unique within this turbine instance, but does not have random-like apearance.

  Returns:
    A String with the non-random looking instance identifier.

### getPseudorandomId

    public static String getPseudorandomId()

  Returns a unique identifier that looks like random data.

  Returns:
    A String with the random looking instance identifier.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.